Amazon Corretto Java 17.x < 17.0.1.12.1 Multiple Vulnerabilities

medium Nessus Plugin ID 159433

Synopsis

Amazon Corretto is affected by multiple vulnerabilities.

Description

The version of Amazon Corretto installed on the remote host is prior to 17 < 17.0.1.12.1. It is, therefore, affected by multiple vulnerabilities as referenced in the corretto-17-2021-Oct-19 advisory.

- security-libs/javax.net.ssl (CVE-2021-35550, CVE-2021-35578, CVE-2021-35603)

- client-libs/javax.swing (CVE-2021-35556, CVE-2021-35559)

- core-libs/java.util (CVE-2021-35561)

- security-libs/java.security (CVE-2021-35564, CVE-2021-35567)

- core-libs/java.net (CVE-2021-35565)

- client-libs/javax.imageio (CVE-2021-35586)

- hotspot/runtime (CVE-2021-35588)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update to Amazon Corretto Java 17.0.1.12.1 or later

See Also

http://www.nessus.org/u?f85e40bb

Plugin Details

Severity: Medium

ID: 159433

File Name: amazon_corretto_17_0_1_12_1.nasl

Version: 1.5

Type: local

Agent: windows, macosx, unix

Family: Misc.

Published: 4/1/2022

Updated: 5/6/2022

Configuration: Enable thorough checks

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.2

CVSS v2

Risk Factor: High

Base Score: 7.1

Temporal Score: 5.3

Vector: AV:N/AC:M/Au:N/C:C/I:N/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-35550

CVSS v3

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:C/C:H/I:N/A:N

Temporal Vector: E:U/RL:O/RC:C

CVSS Score Source: CVE-2021-35567

Vulnerability Information

CPE: cpe:/a:amazon:corretto

Required KB Items: installed_sw/Java

Exploit Ease: No known exploits are available

Patch Publication Date: 10/19/2021

Vulnerability Publication Date: 10/19/2021

Reference Information

CVE: CVE-2021-35550, CVE-2021-35556, CVE-2021-35559, CVE-2021-35561, CVE-2021-35564, CVE-2021-35565, CVE-2021-35567, CVE-2021-35578, CVE-2021-35586, CVE-2021-35588, CVE-2021-35603

IAVA: 2021-A-0481-S